<template>
  <div class="row">
    <div class="col-md-12">
      <transition name="fade">
        <div v-if="paginationData">
          <b-pagination
            v-model="currentPage"
            :total-rows="paginationData.total"
            :per-page="paginationData.per_page"
            @change="getOrders"
          ></b-pagination>

          <table class="table table-active mb-3">
            <thead class="table-dark">
              <tr>
                <th scope="col"></th>
                <th scope="col">{{ $t("product_name") }}</th>
                <th scope="col">{{ $t("price") }}</th>
                <th scope="col">{{ $t("amount") }}</th>
                <th scope="col">{{ $t("status") }}</th>
              </tr>
            </thead>
            <tbody>
              <tr v-for="order in orders" :key="order.id">
                <th scope="row" class="align-middle">
                  <router-link
                    :to="{ name: 'panel.orders.get', params: { id: order.id } }"
                    class="btn btn-outline-info btn-sm"
                  >
                    {{ $t("view") }}
                  </router-link>
                </th>
                <td class="align-middle">
                  {{ order.name }}
                </td>
                <td class="align-middle">
                  {{
                    (order.total_price / 100)
                      .toFixed(2)
                      .replace(".", ",")
                      .replace(/\B(?=(\d{3})+(?!\d))/g, ".")
                  }}
                  EUR
                </td>
                <td class="align-middle">
                  {{ order.amount }}
                </td>
                <td class="align-middle">
                  <h6>
                    <span
                      v-if="order.status == 'done'"
                      class="badge badge-success"
                      >{{ $t("status_done") }}</span
                    >
                    <span
                      v-if="order.status == 'pending'"
                      class="badge badge-warning"
                      >{{ $t("status_pending") }}</span
                    >
                  </h6>
                </td>
              </tr>
            </tbody>
          </table>
          
          <b-pagination
            v-model="currentPage"
            :total-rows="paginationData.total"
            :per-page="paginationData.per_page"
            @change="getOrders"
          ></b-pagination>
        </div>
      </transition>
    </div>
  </div>
</template>

<script>
import Form from "vform";
import { mapGetters } from "vuex";
import axios from "axios";

export default {
  scrollToTop: false,

  metaInfo() {
    return { title: this.$t("orders") };
  },

  data: () => ({
    paginationData: null,
    currentPage: 1,
  }),

  mounted() {
    this.getOrders();
  },

  computed: {
    ...mapGetters({
      user: "auth/user",
    }),
    orders() {
      return this.paginationData.data;
    }
  },

  methods: {
    async getOrders(page = 1) {
      const { data } = await axios.get(
        route('shop.orders.index') + "?page=" + page
      );
      if (data) {
        this.paginationData = data;
      }
    },
  },
};
</script>
